Summary:	A GObject to SQLite object mapper
Name:		gom
Version:	0.3.3
Release:	1%{?_dist_release}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		https://wiki.gnome.org/Projects/Gom

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gobject-introspection-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  sqlite3-devel
BuildRequires:  python3-pygobject
BuildRequires:  python3-rpm-macros
BuildRequires:  gtk-doc

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Gom provides an object mapper from GObjects to SQLite. It helps you write
applications that need to store structured data as well as make complex
queries upon that data. 


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Header files and libraries for building a extension library for the %{name}.


%package        docs
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
BuildArch:      noarch

%description    docs
This package contains documentation for %{name}.


%prep
%setup -q

%build
%meson \
  -Denable-gtk-doc=true

%meson_build

%install
rm -rf ${RPM_BUILD_ROOT}
%meson_install

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%license COPYING
%doc README NEWS
%{_libdir}/libgom-1.0.so.*
%{_libdir}/girepository-1.0/Gom-1.0.typelib
%dir %{python3_sitearch}/gi
%dir %{python3_sitearch}/gi/overrides
%{python3_sitearch}/gi/overrides/Gom.py

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-1.0
%{_libdir}/libgom-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/Gom-1.0.gir

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/%{name}


%changelog
* Sat Dec 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.3.3-1
- new upstream release.

* Wed Jul 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.1-1
- initial build

